package edinet_services.client;

import java.awt.Dimension;
import java.awt.Rectangle;

import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;


public class FrameMain extends JFrame {


  private JButton jbMessageInputSimple = new JButton();
  private JButton jbMessageOutputSimple = new JButton();

  public FrameMain() {
    try {
      jbInit();
    } catch (Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    this.getContentPane().setLayout( null );
    this.setTitle("EDInet services");
    this.setSize(new Dimension(410, 297));
    jbMessageInputSimple.setText("MessageInputSimple");
    jbMessageInputSimple.setBounds(new Rectangle(15, 20, 215, 25));
    jbMessageInputSimple.addActionListener(new ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jbMessageInputSimple_actionPerformed(e);
          }
        });
    jbMessageOutputSimple.setText("MessageOutputSimple");
    jbMessageOutputSimple.setBounds(new Rectangle(15, 50, 215, 25));
    jbMessageOutputSimple.addActionListener(new ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jbMessageOutputSimple_actionPerformed(e);
          }
        });
    this.getContentPane().add(jbMessageOutputSimple, null);
    this.getContentPane().add(jbMessageInputSimple, null);
  }
  
  private void openFrame(JFrame frame) {
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = frame.getSize();
    if (frameSize.height > screenSize.height) {
      frameSize.height = screenSize.height;
    }
    if (frameSize.width > screenSize.width) {
      frameSize.width = screenSize.width;
    }
    frame.setLocation( ( screenSize.width - frameSize.width ) / 2, ( screenSize.height - frameSize.height ) / 2 );
    frame.setDefaultCloseOperation( JFrame.DISPOSE_ON_CLOSE );
    frame.setVisible(true);
    
  }

  private void jbMessageInputSimple_actionPerformed(ActionEvent e) {
    JFrame frame = new FrameMessageInput();
    openFrame(frame);
  }

  private void jbMessageOutputSimple_actionPerformed(ActionEvent e) {
    JFrame frame = new FrameMessageOutput();
    openFrame(frame);
  }
}
